org.apache.solr.update.processor

## Enum DistributedUpdateProcessor.DistribPhase

- java.lang.Object
- - java.lang.Enum<DistributedUpdateProcessor.DistribPhase>
  - - org.apache.solr.update.processor.DistributedUpdateProcessor.DistribPhase

- All Implemented Interfaces:
    Serializable, Comparable<DistributedUpdateProcessor.DistribPhase>
  Enclosing class:
    DistributedUpdateProcessor

      public static enum DistributedUpdateProcessor.DistribPhase
      extends Enum<DistributedUpdateProcessor.DistribPhase>

  Values this processor supports for the `DISTRIB_UPDATE_PARAM`. This is an implementation detail exposed solely for tests.
  See Also:
    `DistributingUpdateProcessorFactory.DISTRIB_UPDATE_PARAM`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROMLEADER`
    `NONE`
    `TOLEADER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributedUpdateProcessor.DistribPhase` | `parseParam(String param)`
    `static DistributedUpdateProcessor.DistribPhase` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DistributedUpdateProcessor.DistribPhase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final DistributedUpdateProcessor.DistribPhase NONE

    - #### TOLEADER

          public static final DistributedUpdateProcessor.DistribPhase TOLEADER

    - #### FROMLEADER

          public static final DistributedUpdateProcessor.DistribPhase FROMLEADER

  - ### Method Detail

    - #### values

          public static DistributedUpdateProcessor.DistribPhase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistributedUpdateProcessor.DistribPhase c : DistributedUpdateProcessor.DistribPhase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistributedUpdateProcessor.DistribPhase valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parseParam

          public static DistributedUpdateProcessor.DistribPhase parseParam(String param)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.